Subject: Re: bug#19298: 25.0.50; `set-frame-font': non-nil FRAMES argument

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Apr 2016 19:30:42 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sat, 30 Apr 2016 18:24:30 +0200
> Cc: [email-masked]
> 
> > Hard to believe that there is no simple way to change the font of a
> > frame and NOT ALSO change custom settings without selecting that frame.
> >
> > Why does that design make sense?
> 
> I can see how it makes sense from a "where on earth do I stash this
> setting, then?" implementation point, but from a user interface point it
> seems very odd indeed.

And I'm asking why in the world would some Lisp change the default
font of several frames, except if the user wanted that customized??
Will you Lisp programmers please keep your hands off my fonts?!